Subject: Windows x2go-client versions after 3.99.2 frequently hang while trying to resume sessions

From: John Williams <[email-masked]>
Date: Sun, 8 Dec 2013 23:40:37 -0800

I believe I have been experiencing the same bug as reported by Edouard
Villeneuve <[email-masked]>

One important piece of information is that the bug does not appear in
x2goclient 3.99.2.1 (3.99.2.2 about box).

The bug appears to have been introduced between 3.99.2.1 and
3.99.3.1-pre1, since all versions from 3.99.3.1-pre1 and later have
the bug. Also, it does NOT appear to be a consequence of the new
pulseaudio version, since the old interims version has the same issue.

Windows client:
3.99.2.1 filename (3.99.2.2 about box): works
3.99.3.1-pre1_interims (old pulseaudio): hangs
4.0.0.3: hangs
4.0.0.3_interims (old pulseaudio): hangs
4.0.1.0-pre02 : hangs
4.0.1.2 : hangs

This was also discussed on the x2go-user email list in a thread
started by Sebastian Flothow sebastian.flothow at gip.com with the
subject "X2Go client 4.0.0 can't resume certain sessions"

http://lists.berlios.de/pipermail/x2go-user/2013-October/001684.html

Here is the addtional information that Mike Gabriel requested about
this bug (note that I am not the original reporter for this bug):

Server distro: Archlinux
arch packages:
x2go-agent 3.5.0.21-1
x2goclient 4.0.1.1-1
x2goserver 4.0.1.8-1

x2goversion:
x2goagent: 3.5.0.21
x2goserver: 4.0.1.6
x2goserver-compat: 4.0.1.6
x2goserver-extensions: 4.0.1.6
x2goserver-fmbindings: 4.0.1.6
x2goserver-printing: 4.0.1.6
x2goserver-pyhoca: 4.0.1.6
x2goserver-xsession: 4.0.1.6

Server home directories are local